[Pkg-ace-commits] [pkg-ace] r718 - trunk/debian

Thomas Girard tgg at alioth.debian.org
Sun Sep 12 20:37:36 UTC 2010


Author: tgg
Date: 2010-09-12 20:37:36 +0000 (Sun, 12 Sep 2010)
New Revision: 718

Modified:
   trunk/debian/generator_pkgconfig.sh
   trunk/debian/libacexml-dev.install
   trunk/debian/libtao-dev.install
   trunk/debian/rules
Log:
Enhance generator_pkgconfig.sh; add missing .pc files


Modified: trunk/debian/generator_pkgconfig.sh
===================================================================
--- trunk/debian/generator_pkgconfig.sh	2010-09-12 15:43:50 UTC (rev 717)
+++ trunk/debian/generator_pkgconfig.sh	2010-09-12 20:37:36 UTC (rev 718)
@@ -1,8 +1,19 @@
 #!/bin/sh
+#
+# Generates ACE+TAO pkg-config .pc files using .pc.in files.
+#
+# To check whether all .pc files got installed, launch from $ACE_ROOT:
+#   for f in $(find -name '*.pc.in') ; do ls -l /usr/lib/pkgconfig/$(echo ${f##*/} | sed -e 's/\.in$//'); done
+# and look for errors to see .pc files that were *not* installed.
+#
 
 usage() {
-    echo "$0 file.pc.in" >& 2
-    echo "generate pkgconfig files" >& 2
+    cat >&2 <<EOF
+$0 file.pc.in
+Outputs to stdout a pkg-config .pc file from the given .pc.in.
+
+Please define \$ACE_ROOT before launching this script
+EOF
 }
 
 if test $# -ne 1; then
@@ -10,22 +21,54 @@
     exit 1
 fi
 
-#default values
+if test "a$ACE_ROOT" = "a"; then
+    usage
+    exit 2
+fi
+
+AV=$(head -1 $ACE_ROOT/VERSION  | sed -e 's/.*version \([0-9]\+\.[0-9]\+\.[0-9]\+\).*/\1/')
+TV=$(head -1 $ACE_ROOT/TAO/VERSION  | sed -e 's/.*version \([0-9]\+\.[0-9]\+\.[0-9]\+\).*/\1/')
+
+#default value for includedir
 INCDIR="$\{prefix\}/include"
 
+IN="$1"
+
 case "$IN" in
- TAO/*)
-    VERSION="$PKGCONFIG_TV"
+ *ACE_SSL.pc.in)
+    INDIR="ace/SSL"
     ;;
+ *ACE_HTBP*)
+    INDIR="ace/HTBP"
+    ;;
+ *ACE_RMCast*)
+    INDIR="ace/RMCast"
+    ;;
+ *ACE_TMCast*)
+    INDIR="ace/TMCast"
+    ;;
+ *TAO_Cos*|*TAO_FT*|*TAO_RT*|*TAO_Ds*)
+    INDIR="orbscvs"
+    ;;
  *)
-    VERSION="$PKGCONFIG_AV"
+    INDIR="."
     ;;
 esac
 
+case "$IN" in
+ TAO_*)
+    VERSION="$TV"
+    ;;
+ *)
+    VERSION="$AV"
+    ;;
+esac
 
+
 cat "$1" | sed -e 's#@prefix@#/usr#g' \
                -e 's#@exec_prefix@#$\{prefix\}#g' \
                -e 's#@libdir@#$\{exec_prefix\}/lib#g' \
+               -e 's#@LIBS@##g' \
                -e "s#@includedir@#$INCDIR#g" \
                -e "s#@VERSION@#$VERSION#g" \
                -e "s#@LIBS@##g"

Modified: trunk/debian/libacexml-dev.install
===================================================================
--- trunk/debian/libacexml-dev.install	2010-09-12 15:43:50 UTC (rev 717)
+++ trunk/debian/libacexml-dev.install	2010-09-12 20:37:36 UTC (rev 718)
@@ -3,3 +3,4 @@
 usr/lib/libACEXML_Parser.so
 usr/lib/libACEXML_XML_Svc_Conf_Parser.so
 usr/lib/pkgconfig/ACEXML.pc
+usr/lib/pkgconfig/ACEXML_XML_Svc_Conf_Parser.pc

Modified: trunk/debian/libtao-dev.install
===================================================================
--- trunk/debian/libtao-dev.install	2010-09-12 15:43:50 UTC (rev 717)
+++ trunk/debian/libtao-dev.install	2010-09-12 20:37:36 UTC (rev 718)
@@ -82,6 +82,7 @@
 usr/lib/pkgconfig/TAO_ZlibCompressor.pc
 usr/lib/pkgconfig/TAO_AnyTypeCode.pc
 usr/lib/pkgconfig/TAO_Bzip2Compressor.pc
+usr/lib/pkgconfig/TAO_LzoCompressor.pc
 usr/lib/pkgconfig/TAO_Valuetype.pc
 usr/lib/pkgconfig/TAO_BiDirGIOP.pc
 usr/lib/pkgconfig/TAO_IORInterceptor.pc

Modified: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2010-09-12 15:43:50 UTC (rev 717)
+++ trunk/debian/rules	2010-09-12 20:37:36 UTC (rev 718)
@@ -6,11 +6,6 @@
 # Copyright (C) 2004  Raphael Bossek <bossekr at debian.org>
 # Copyright © 2005-2010 Thomas Girard <thomas.g.girard at free.fr>
 
-#some variables for generator_pkgconfig.sh
-export PKGCONFIG_AV := 5.7.7
-export PKGCONFIG_TV := 1.7.7
-export PKGCONFIG_CV := 0.7.7
-
 INSTALL_755 := install -o root -g root -m 755
 
 ACE_SUBDIR := ACE_wrappers
@@ -171,6 +166,8 @@
 	cd $(CURDIR)/$(DT)/usr/include/orbsvcs && mv -f orbsvcs/* . && rm -rf orbsvcs  
 
 #       Process pkgconfig_files *.pc.in
+#	Add missing pkgconfig files -- TO REPORT UPSTREAM
+	cp $(ACE_ROOT)/ACEXML/apps/svcconf/ACEXML_XML_Svc_Conf_Parser.pc.in $(TAO_ROOT)/tao/Compression/lzo/TAO_LzoCompressor.pc.in $(DT)/usr/lib/pkgconfig
 	cd $(CURDIR) && for f in $(DT)/usr/lib/pkgconfig/*.pc.in ; do sh ./debian/generator_pkgconfig.sh $$f > $${f%%.in}  ; done && rm $(DT)/usr/lib/pkgconfig/*.pc.in
 
 #	We provide scripts replacement for tao_idl and tao_ifr; they




More information about the Pkg-ace-commits mailing list